Subject: Re: 2.6.16-rc1-mm4: ACX=y, ACX_USB=n compile error

From: "Gabriel C." <[email-masked]>
Date: Tue, 31 Jan 2006 19:34:43 +0100

On Tue, 31 Jan 2006 16:58:09 +0200
Denis Vlasenko <[email-masked]> wrote:

> On Tuesday 31 January 2006 16:54, John W. Linville wrote:
> > On Tue, Jan 31, 2006 at 02:16:05PM +0200, Denis Vlasenko wrote:
> > 
> > > CONFIG_ACX=y
> > > # CONFIG_ACX_PCI is not set
> > > # CONFIG_ACX_USB is not set
> > > 
> > > This won't fly. You must select at least one.
> > > 
> > > Attached patch will check for this and #error out.
> > > Andrew, do not apply to -mm, I'll send you bigger update today.
> > 
> > Is there any way to move this into a Kconfig file?  That seems nicer
> > than having #ifdefs in source code to check for a configuration
> > error.
> 
> Can't think of any at the moment.
> --
> vda
> 

I'm not a kernel hacker :-) and mabye I'm wrong but why not auto select
ACX_{PCI,USB} ?

Gabriel